Summary: An X display of the Earth from space.
Name: xearth
Version: 1.1
Release: 13mdk
License: MIT
Group: Toys
BuildRequires: XFree86-devel
Source0: ftp://cag.lcs.mit.edu/pub/tuna/xearth-1.1.tar.bz2
Source1: xearth_locations.txt.bz2
Source2: xearth.menu.bz2
Source3: xearth16.png
Source4: xearth32.png
Source5: xearth48.png
Url: http://www.cs.colorado.edu/~tuna/xearth/
Patch: xearth-1.0-mdk.patch.bz2
BuildRoot: %_tmppath/%name-root

%description
Xearth is an X Window System based graphic that shows a globe of the
Earth, including markers for major cities and MandrakeSoft.  The
Earth is correctly shaded for the current position of the sun, and the
displayed image is updated every five minutes.

%prep
%setup -q
%patch -p0

%build
xmkmf
%make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std install.man
mkdir -p $RPM_BUILD_ROOT%_datadir/xearth
bzcat %SOURCE1 > $RPM_BUILD_ROOT%_datadir/xearth/xearth_locations.txt

#install menu
mkdir -p $RPM_BUILD_ROOT%_menudir
bzcat %SOURCE2 > $RPM_BUILD_ROOT%_menudir/%name
install -m644 %SOURCE3 -D $RPM_BUILD_ROOT%_miconsdir/%name.png
install -m644 %SOURCE4 -D $RPM_BUILD_ROOT%_iconsdir/%name.png
install -m644 %SOURCE5 -D $RPM_BUILD_ROOT%_liconsdir/%name.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xearth
/usr/X11R6/man/man1/xearth.1x*
%_datadir/xearth/xearth_locations.txt
%_miconsdir/xearth.png
%_iconsdir/xearth.png
%_liconsdir/xearth.png
%_menudir/xearth

%changelog
* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1-13mdk
- rebuild
- use %%make macro
- cosmetics

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-12mdk
- build release

* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-11mdk
- xpm -> png icons
- sanitize spec file

* Tue Oct 30 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 1.1-10mdk
- url tag

* Fri Oct 19 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 1.1-9mdk
- Lisence.


* Thu Apr 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-8mdk
- Disable root windows under GNOME (don't work with Nautilus yet)
- Clean specfile

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1-7mdk
- automatically added BuildRequires


* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-6mdk
- fix buildroot

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1-5mdk
- use new macros

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.1-4mdk
- Added 32x32 and 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.1-3mdk
- remove menu icon path

* Wed Apr 26 2000 DindinX <odin@mandrakesoft.com> 1.1-2mdk
- added an icon for the menu

* Wed Apr  5 2000 DindinX <odin@mandrakesoft.com> 1.1-1mdk
- New version
- Added menu
- Use a more complete markerfile

* Sat Mar 25 2000 Dindinx <odin@mandrakesoft.com> 1.0-6mdk
- Use spec-helper
- Fix group

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Wed Jul 28 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- remove unuseful patch
- add MandrakeSoft home on map
- add french translation
- fix english description

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
